- if topic.suggested_content != nil
  %hr.u-margin-top-lg.u-margin-bottom-sm
  .container
    %h2.u-margin-top-md.u-margin-bottom-sm.text-center
      Suggested Content
    .grid-layout.grid-layout3
      // Gather all suggested content urls from the topic data file
      // These must by blog articles
      - topic.suggested_content.each do |article|
        // Create list of posts if title from data file matches the URL of a blog post from our blog, 
        - posts = blog('blog').articles.keep_if{ |a| a.url.include?(article.url)}[0...6]
        // for each post in our group, print card
        // This allows us to designate just post URLs in Netlify CMS, and the template will go find a post with the matching title an pull in data from the blog post such as author, description, and image. This avoids having to enter in lost of data for each card (image, description) and pulls data from single point of truth
        - posts.each do |article|
          %a.tile-resource.grid-item{ href: "#{article.url}", :"data-ga-name" => "#{article.title}", :"data-ga-location" => "content" }
            - image_title = article.data.image_title ? article.data.image_title : '/images/default-blog-image.png'
            .tile-background-container{ style: "background-image: url('#{image_title}');" }
            .tile-info
              %h4.tile-title.slp-font-normal.slp-text-grayscale-333.slp-text-3xl
                = article.title
              %p.tile-subtitle
                by
                = article.data.author
              %p.tile-description
                = article.data.description
              %p.tile-link
                Learn more
                %i.fas.fa-arrow-right